Don't allow --enable-kernel without parameter.
authordrepper <drepper>
Mon, 25 Oct 1999 21:11:41 +0000 (21:11 +0000)
committerdrepper <drepper>
Mon, 25 Oct 1999 21:11:41 +0000 (21:11 +0000)
configure.in

index 1667b2a..05c61cd 100644 (file)
@@ -174,6 +174,11 @@ AC_ARG_ENABLE(kernel,
 [  --enable-kernel=VERSION compile for compatibility with kernel not older
                            than VERSION],
               minimum_kernel=$enableval)
+dnl Prevent unreasonable values.
+if test "$minimum_kernel" = yes || test "$minimum_kernel" = no; then
+  # Better nothing than this.
+  minimum_kernel=""
+fi
 
 AC_CANONICAL_HOST